## org.eclipse.jst.jsf.facesconfig.emf.impl
Class ExtensionTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.ExtensionTypeImpl

All Implemented Interfaces:
  ExtensionType

Direct Known Subclasses:
  ApplicationExtensionTypeImpl, AttributeExtensionTypeImpl, BehaviorExtensionTypeImpl, ComponentExtensionTypeImpl, ConverterExtensionTypeImpl, FacesConfigExtensionTypeImpl, FacetExtensionTypeImpl, FactoryExtensionTypeImpl, LifecycleExtensionTypeImpl, ManagedBeanExtensionTypeImpl, NavigationRuleExtensionTypeImpl, PropertyExtensionTypeImpl, RendererExtensionTypeImpl, RenderKitExtensionTypeImpl, ValidatorExtensionTypeImpl

    public abstract class ExtensionTypeImpl

extends EObjectImpl
implements ExtensionType

An implementation of the model object 'Extension Type'.

The following features are implemented:

- `Child Nodes`
- `Text Content`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getChildNodes()`
`java.lang.String` `getId()`
`java.lang.String` `getTextContent()`
`void` `setId(java.lang.String newId)`
`void` `setTextContent(java.lang.String newTextContent)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getChildNodes

    public EList getChildNodes()

  Specified by:
    `getChildNodes` in interface `ExtensionType`
  Returns:
    the value of the 'Child Nodes' reference list.
  See Also:
    `FacesConfigPackage.getExtensionType_ChildNodes()`

### getTextContent

    public java.lang.String getTextContent()

  Specified by:
    `getTextContent` in interface `ExtensionType`
  Returns:
    the value of the 'Text Content' attribute.
  See Also:
    `ExtensionType.setTextContent(String)`, `FacesConfigPackage.getExtensionType_TextContent()`

### setTextContent

    public void setTextContent(java.lang.String newTextContent)

  Specified by:
    `setTextContent` in interface `ExtensionType`
  Parameters:
    `newTextContent` - the new value of the 'Text Content' attribute.
  See Also:
    `ExtensionType.getTextContent()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `ExtensionType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `ExtensionType.setId(String)`, `FacesConfigPackage.getExtensionType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `ExtensionType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `ExtensionType.getId()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()